package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tuoheng.admin.entity.InspectionFile;

import java.util.Map;

/**
 * 巡检问题Mapper接口
 *
 * @team tuoheng
 * @author wanjing
 * @date 2022-11-23
 */
public interface InspectionFileMapper extends BaseMapper<InspectionFile> {

    /**
     *
     * 逻辑删除巡检任务问题
     *
     * @param map
     * @return
     */
    int deleteLogicByMap(Map<String, Object> map);

    /**
     *
     * 物理删除巡检任务问题
     *
     * @param inspectionId
     * @return
     */
    int deleteByInspectionId(String inspectionId);

}
